# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface ILink

All Superinterfaces:
  Reference

All Known Implementing Classes:
  AnalyticsLink, DocumentListAclFeedLink, DocumentListRevisionFeedLink, EntryLink, FeedLink, IssuesLink, Link, PortfolioFeedLink, PositionFeedLink, SitesLink

    public interface ILink

extends Reference

Common interface for Links.

Nested Class Summary
`static class` `ILink.Rel` The Rel class defines constants for some common link relation types.
`static class` `ILink.Type` The Type class contains several common link content types.

Method Summary
`java.lang.String` `getRel()` Returns the link relation type.
`java.lang.String` `getType()` Returns the mime type of the link.
`void` `setRel(java.lang.String rel)` Sets the link relation type.
`void` `setType(java.lang.String type)` Sets the mime type of the link.

Methods inherited from interface com.google.gdata.data.Reference
`getHref, setHref`

Method Detail

### getRel

    java.lang.String getRel()

  Returns the link relation type. Common values are defined in the `ILink.Rel` class.

  See Also:
    `ILink.Rel`

### setRel

    void setRel(java.lang.String rel)

  Sets the link relation type.

### getType

    java.lang.String getType()

  Returns the mime type of the link.

### setType

    void setType(java.lang.String type)

  Sets the mime type of the link.